Competitions
List a competition's seasons
Returns every season of a competition, newest first, with its season_id. The season with is_current: true is the same as current_season_id on the competition.
Example: GET /football/competitions/comp_3039/seasons
GET
/
football
/
competitions
/
{competition_id}
/
seasons
List a competition's seasons
curl --request GET \
--url https://api.thestatsapi.com/api/football/competitions/{competition_id}/seasons \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.thestatsapi.com/api/football/competitions/{competition_id}/seasons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thestatsapi.com/api/football/competitions/{competition_id}/seasons"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "sn_6125938",
"name": "Premier League 25/26",
"year": "25/26",
"start_year": 2025,
"end_year": 2026,
"is_current": false
}
]
}Use it to get
season_ids for past seasons. How far back each competition goes varies: see Coverage.Authorizations
Your API key, sent as Authorization: Bearer YOUR_API_KEY. Get one at https://www.thestatsapi.com/api-keys
Path Parameters
⌘I
List a competition's seasons
curl --request GET \
--url https://api.thestatsapi.com/api/football/competitions/{competition_id}/seasons \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.thestatsapi.com/api/football/competitions/{competition_id}/seasons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thestatsapi.com/api/football/competitions/{competition_id}/seasons"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "sn_6125938",
"name": "Premier League 25/26",
"year": "25/26",
"start_year": 2025,
"end_year": 2026,
"is_current": false
}
]
}